Contact Legacy Addresses

Create a contact address

Add a postal address to a contact. **Requires `Idempotency-Key`.** Returns the created row: `{ data: { contact_legacy_address: {...} } }`, status 201. Addresses are not ranked (no reorder).

POST /v2/contact-legacy-addresses/{contactId}

Parameters

Path parameters

contactId
string (uuid) required

Request body

Content-Type: application/json

formatted
string
street
string
city
string
region
string
country
string
postal_code
string
address_type
string

Example

{
  "formatted": "string",
  "street": "string"
}

Responses

201 — Created

Content-Type: application/json

data
object required
data.address
object required
data.address.id
string (uuid) required
data.address.contact_id
string (uuid) required
data.address.user_id
string
data.address.formatted
string | null
data.address.street
string | null
data.address.city
string | null
data.address.region
string | null
data.address.country
string | null
data.address.postal_code
string | null
data.address.address_type
string | null
data.address.created_at
string (date-time) required
data.address.updated_at
string (date-time) required

Example

{
  "data": {
    "address": {
      "id": "00000000-0000-0000-0000-000000000000",
      "contact_id": "00000000-0000-0000-0000-000000000000",
      "created_at": "2026-08-21T15:31:00.996Z",
      "updated_at": "2026-08-21T15:31:00.996Z"
    }
  }
}

400

No response body.

401

No response body.

403

No response body.

404

No response body.

409

No response body.

429

No response body.

500

No response body.

Code samples

curl https://api.prod.getdex.com/v2/contact-legacy-addresses/00000000-0000-0000-0000-000000000000 \
  --request POST \
  --header 'Authorization: Bearer YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "formatted": "string",
  "street": "string"
}'
Copyright © 2026